LIBGL_DRIVERS_PATH is missing /usr/lib32/dri

Bug #250944 reported by Jarkko Lietolahti on 2008-07-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Mario Limonciello

Bug Description

I'm using the debs
fglrx-amdcccle_8.512-0ubuntu1_amd64.deb
fglrx-kernel-source_8.512-0ubuntu1_amd64.deb
fglrx-modaliases_8.512-0ubuntu1_amd64.deb
xorg-driver-fglrx_8.512-0ubuntu1_amd64.deb
xorg-driver-fglrx-dev_8.512-0ubuntu1_amd64.deb
in Hardy to setup fglrx 8.6 and 8.7.

After I started to use these debs all 32bit 3D apps (googleearth, ETQW) stopped working. After looking around I noticed that LIBGL_DRIVERS_PATH is missing the 32bit dri path.

This is how the installed /etc/X11/Xsession.d/10fglrx looks like

LIBGL_DRIVERS_PATH=/usr/lib/dri
if [ `uname -m` = 'x86_64' ]; then
  if [ -d /#DRIDIR32#/dri ]; then
    LIBGL_DRIVERS_PATH=${LIBGL_DRIVERS_PATH}:/#DRIDIR32#/dri
    LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib32
    export LD_LIBRARY_PATH
  fi
fi
export LIBGL_DRIVERS_PATH

If I manually do export LIBGL_DRIVERS_PATH=/usr/lib/dri:/usr/lib32/dri/ those 32bit 3D/OpenGL apps start working again.

http://www.phoronix.com/forums/showthread.php?t=11572

description: updated
Changed in fglrx-installer:
status: New → Confirmed
Mario Limonciello (superm1) wrote :

Fixed in fglrx-packaging git. http://www.phorogit.com/index.php?p=fglrx-packaging.git&a=commitdiff&h=19afe69711b680d6a807e9a1ebf3484c11b61ab3&hb=122079a70174e5d22c6a2f56f87c46724e152f8a
Will be fixed in the 8-8 driver. Since 8-7 still doesnt work with xorg 1.5, we'll just hold off doing another upload until 8-8.

Changed in fglrx-installer:
status: Confirmed → Fix Committed
assignee: nobody → superm1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.522-0ubuntu1

---------------
fglrx-installer (2:8.522-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Drop 02_2.6.26_support.dpatch as 2.6.26 support is available now.
  * debian/control:
    - Conflict w/ pentium-builder (LP: #180831)
    - Update nvidia conflicts (LP: #254969)
  * Correct LIBGL_DRIVERS_PATH (LP: #250944)
  * Cleanup diversion prerm scripts (LP: #257003)

 -- Mario Limonciello <email address hidden> Wed, 20 Aug 2008 12:34:16 -0500

Changed in fglrx-installer:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers